import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["value", "children", "index"];
import { cloneElement } from 'react';
import PropTypes from 'prop-types';
import isEqual from 'lodash.isequal';

var ExtendedChildren = function ExtendedChildren(_ref) {
  var value = _ref.value,
      children = _ref.children,
      index = _ref.index,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  var valueChild = children.props.value;
  var selected = false;

  if (Array.isArray(value)) {
    selected = value.some(function (innerValue) {
      return isEqual(valueChild, innerValue);
    });
  } else {
    selected = isEqual(value, valueChild);
  }

  return /*#__PURE__*/cloneElement(children, _extends({}, props, {
    index: index,
    selected: selected
  }));
};

export default ExtendedChildren;